<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css">

    <title>Home Pizza</title>
</head>

<body>
    <!-- NAVIGATION AREA -->
    <nav class="navbar navbar-expand-lg navbar-light bg-warning">
        <!-- <a class="navbar-brand" href="#">Navbar</a> -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="row collapse navbar-collapse" id="navbarNav">
            <ul class="row col-12 navbar-nav text-center text-dark">
                <li class="nav-item active col-3">
                    <a class="nav-link" href="#">Trang chủ <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item col-3">
                    <a class="nav-link" href="#size-pizza-choose">Combo</a>
                </li>
                <li class="nav-item col-3">
                    <a class="nav-link" href="#type-pizza-choose">Loại Pizza</a>
                </li>
                <li class="nav-item col-3">
                    <a class="nav-link" href="#order-create">Gửi đơn hàng</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- BODY AREA -->
    <div class="container mt-5">
        <div class="mb-3">
            <h1 class="text-warning">PIZZA 365 </h1>
            <span class="text-warning font-italic">Truly italian!</span>
        </div>
        <!-- SLIDE -->
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
            </ol>
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img class="d-block w-100" src="images/1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="images/2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="images/3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="images/4.jpg" alt="Fourth slide">
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
        <!-- INFOMATION -->
        <div>
            <div class="mt-5">
                <div class="text-warning text-center mb-3">
                    <span class="h3 border-bottom border-warning"> Tại sao lại Pizza 365</span>
                </div>
                <div class="row">
                    <div class="col-sm-12 col-md-3 p-5 border border-warning"
                        style="background-color: lightgoldenrodyellow;">
                        <h4 class="mb-3">Đa dạng</h4>
                        <span>Số lượng pizza đa dạng, có đầy đủ các loại pizza đang hot nhất hiện nay.</span>
                    </div>
                    <div class="col-sm-12 col-md-3 p-5 border border-warning" style="background-color: yellow;">
                        <h4 class="mb-3">Chất lượng</h4>
                        <span>Nguyên liệu sạch 100% rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn thực
                            phẩm.</span>
                    </div>
                    <div class="col-sm-12 col-md-3 p-5 border border-warning" style="background-color: lightsalmon;">
                        <h4 class="mb-3">Hương vị</h4>
                        <span>Đảm bảo hương vị ngon, độc, lạ mà bạn chỉ có thể trải nghiệm từ Pizza 365.</span>
                    </div>
                    <div class="col-sm-12 col-md-3 p-5 border border-warning" style="background-color: orange;">
                        <h4 class="mb-3">Dịch vụ</h4>
                        <span>Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh chất lượng, tân
                            tiến.</span>
                    </div>
                </div>
            </div>
            <!-- Chọn Size Pizza -->
            <div class="mt-5" id="size-pizza-choose">
                <div class="text-warning text-center mb-3">
                    <span class="h3 border-bottom border-warning">Chọn size pizza</span>
                    <p style="color: orange;">Chọn combo pizza phù hợp với nhu cầu của bạn.</p>
                </div>
                <div class="row text-center justify-content-center">
                    <div class="row justify-content-center col-sm-12 col-md-4 mb-3 pl-3 pr-3 text-center">
                        <div class="card" style="width: 18rem;">
                            <div class="card-body p-0">
                                <h3 class="card-title p-3 size-pizza-title" style="background-color: orange;">S (small)
                                </h3>
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item">Đường kính: <b>20cm</b></li>
                                    <li class="list-group-item">Sườn nướng: <b>2</b></li>
                                    <li class="list-group-item">Salad: <b>200g</b></li>
                                    <li class="list-group-item">Nước ngọt: <b>2</b></li>
                                    <li class="list-group-item">
                                        <b class="h3">150.000</b>
                                        <p>VNĐ</p>
                                    </li>
                                    <li class="list-group-item bg-light">
                                        <button class="btn col-12 font-weight-bold size-pizza-button"
                                            data-is-selected-menu="N" id="small-choose"
                                            style="background-color: orange;">Chọn</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center col-sm-12 col-md-4 mb-3 pl-3 pr-3 text-center ">
                        <div class="card" style="width: 18rem;">
                            <div class="card-body p-0">
                                <h3 class="card-title p-3 size-pizza-title" style="background-color: orange;">M (medium)
                                </h3>
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item">Đường kính: <b>25cm</b></li>
                                    <li class="list-group-item">Sườn nướng: <b>4</b></li>
                                    <li class="list-group-item">Salad: <b>300g</b></li>
                                    <li class="list-group-item">Nước ngọt: <b>3</b></li>
                                    <li class="list-group-item">
                                        <b class="h3">200.000</b>
                                        <p>VNĐ</p>
                                    </li>
                                    <li class="list-group-item bg-light">
                                        <button class="btn col-12 font-weight-bold size-pizza-button"
                                            data-is-selected-menu="N" id="medium-choose"
                                            style="background-color: orange;">Chọn</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center col-sm-12 col-md-4 mb-3 pl-3 pr-3 text-center ">
                        <div class="card" style="width: 18rem;">
                            <div class="card-body p-0">
                                <h3 class="card-title p-3 size-pizza-title" style="background-color: orange;">L (large)
                                </h3>
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item">Đường kính: <b>30cm</b></li>
                                    <li class="list-group-item">Sườn nướng: <b>8</b></li>
                                    <li class="list-group-item">Salad: <b>500g</b></li>
                                    <li class="list-group-item">Nước ngọt: <b>4</b></li>
                                    <li class="list-group-item">
                                        <b class="h3">250.000</b>
                                        <p>VNĐ</p>
                                    </li>
                                    <li class="list-group-item bg-light">
                                        <button class="btn col-12 font-weight-bold size-pizza-button"
                                            data-is-selected-menu="N" id="large-choose"
                                            style="background-color: orange;">Chọn</button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Chọn loại Pizza -->
            <div class="mt-5" id="type-pizza-choose">
                <div class="text-warning text-center mb-3">
                    <span class="h3 border-bottom border-warning">Chọn loại pizza</span>
                </div>
                <div class="row justify-content-center">
                    <div class="row justify-content-center col-sm-12 col-md-4 p-3">
                        <div class="card" style="width: 18rem;">
                            <img class="card-img-top" src="images/seafood.jpg" alt="Card image cap">
                            <div class="card-body">
                                <div class="card-title">
                                    <p class="h5">OCEAN MANIA</p>
                                    <p class="card-text">PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                                </div>
                                <p class="card-text">Xốt Cà Chua, Phô Mai Mozzarella, Tôm Mực, Thanh Cua, Hành Tây.</p>
                                <div class="btn col-12 type-pizza-btn" style="background-color: orange;"
                                    data-is-selected-type-pizza="N" id="type-pizza-seafood">Chọn</div>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center col-sm-12 col-md-4 p-3">
                        <div class="card" style="width: 18rem;">
                            <img class="card-img-top" src="images/hawaiian.jpg" alt="Card image cap">
                            <div class="card-body">
                                <div class="card-title">
                                    <p class="h5">HAWAIIAN</p>
                                    <p class="card-text">PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                                </div>
                                <p class="card-text">Xốt Cà Chua, Phô Mai Mozzarella, Thịt Dăm Bông, Thơm.</p>
                                <div class="btn col-12 type-pizza-btn" style="background-color: orange;"
                                    data-is-selected-type-pizza="N" id="type-pizza-hawaii">Chọn</div>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center col-sm-12 col-md-4 p-3">
                        <div class="card" style="width: 18rem;">
                            <img class="card-img-top" src="images/bacon.jpg" alt="Card image cap">
                            <div class="card-body">
                                <div class="card-title">
                                    <p class="h5">CHEESY CHICKEN BACON</p>
                                    <p class="card-text">PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                                </div>
                                <p class="card-text">Xốt Cà Chua, Thịt gà, Thịt Heo Muối, Phô Mai Mozzarella.</p>
                                <div class="btn col-12 type-pizza-btn" style="background-color: orange;"
                                    data-is-selected-type-pizza="N" id="type-pizza-bacon">Chọn</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Chọn loại đồ uống -->
            <div class="mt-5">
                <div class="text-warning text-center mb-3">
                    <span class="h3 border-bottom border-warning">Chọn đồ uống</span>
                </div>
                <div class="m-5">
                    <select name="" id="select-drink" class="form-control form-control-md col-12 m-6"
                        aria-label="Default select example">
                        <option value="0">Tất cả các loại nước uống...</option>
                    </select>
                </div>
            </div>
            <!-- Thông tin Order -->
            <div class="mt-5" id="order-create">
                <div class="text-warning text-center mb-3">
                    <span class="h3 border-bottom border-warning">Gửi đơn hàng</span>
                </div>
                <div>
                    <div class="row form-group ml-5 mr-5">
                        <label class="form-label col-12">Họ Tên</label>
                        <div class="col-12">
                            <input type="text" id="inp-name" class="form-control" placeholder="Nhập tên">
                        </div>
                    </div>
                    <div class="row form-group ml-5 mr-5">
                        <label class="form-label col-12">Email</label>
                        <div class="col-12">
                            <input type="text" id="inp-email" class="form-control" placeholder="Nhập email">
                        </div>
                    </div>
                    <div class="row form-group ml-5 mr-5">
                        <label class="form-label col-12">Số điện thoại</label>
                        <div class="col-12">
                            <input type="number" id="inp-phone" class="form-control" placeholder="Nhập số điện thoại">
                        </div>
                    </div>
                    <div class="row form-group ml-5 mr-5">
                        <label class="form-label col-12">Địa chỉ</label>
                        <div class="col-12">
                            <input type="text" id="inp-address" class="form-control" placeholder="Nhập địa chỉ">
                        </div>
                    </div>
                    <div class="row form-group ml-5 mr-5">
                        <label class="form-label col-12">Mã giảm giá</label>
                        <div class="col-12">
                            <input type="text" id="inp-discount" class="form-control" placeholder="Nhập mã giảm giá">
                        </div>
                    </div>
                    <div class="row form-group ml-5 mr-5">
                        <label class="form-label col-12">Lời nhắn</label>
                        <div class="col-12">
                            <input type="text" id="inp-message" class="form-control" placeholder="Nhập lời nhắn">
                        </div>
                    </div>
                    <div class="row form-group ml-5 mr-5">
                        <button class="btn font-weight-bold col-12" id="btn-order-detail"
                            style="background-color: orange;">Gửi</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- MODLAL AREA -->
    <div class="container">
        <!-- Order modal -->
        <div>
            <div id="order-confirm-modal" class="modal fade" tabindex="-1">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="h5-modal-title">Thông tin đơn hàng</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <form>
                                <div class="row form-group">
                                    <label class="form-label col-12">Họ Tên</label>
                                    <div class="col-12">
                                        <input type="text" id="inp-confirm-name" class="form-control"
                                            placeholder="Nhập tên">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <label class="form-label col-12">Số điện thoại</label>
                                    <div class="col-12">
                                        <input type="number" id="inp-confirm-phone" class="form-control"
                                            placeholder="Nhập số điện thoại">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <label class="form-label col-12">Địa chỉ</label>
                                    <div class="col-12">
                                        <input type="text" id="inp-confirm-address" class="form-control"
                                            placeholder="Nhập địa chỉ">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <label class="form-label col-12">Lời nhắn</label>
                                    <div class="col-12">
                                        <input type="text" id="inp-confirm-message" class="form-control"
                                            placeholder="Nhập lời nhắn">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <label class="form-label col-12">Mã giảm giá</label>
                                    <div class="col-12">
                                        <input type="text" id="inp-confirm-discount" class="form-control"
                                            placeholder="Nhập mã giảm giá">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <label class="form-label col-12">Thông tin chi tiết</label>
                                    <div class="col-12">
                                        <textarea name="" id="tarea-confirm-detail" class="form-control" cols="30"
                                            rows="10"></textarea>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-danger" id="btn-cancel-order" data-dismiss="modal">Quay
                                lại</button>
                            <button class="btn btn-warning" id="btn-create-order">Tạo đơn</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Thông báo modal -->
        <div>
            <div id="order-success-modal" class="modal fade" tabindex="-1">
                <div class="modal-dialog">
                    <div class="modal-content" style="background-color: orange;">
                        <div class="modal-header">
                            <h5 class="modal-title" id="h5-modal-title">Cảm ơn bạn đã đặt hàng. Mã đơn hàng của bạn</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <div class="row form-group">
                                <label class="form-label col-4">Mã đơn hàng</label>
                                <input type="text" class="form-control col-8" id="inp-madonhang-success">
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-danger" id="btn-cancel-order" data-dismiss="modal">Quay
                                lại</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- FOOTER AREA -->
    <div class="container-fluid p-5 text-center" style="background-color: orange;">
        <div class="m-3"> <b>Footer</b> </div>
        <div class="m-3">
            <a href="#" class="btn bg-dark text-light">
                <i class="fa-solid fa-arrow-up"></i>
                To the top
            </a>
        </div>
        <div class="m-3">
            <i class="fa-brands fa-facebook"></i>
            <i class="fa-brands fa-youtube"></i>
            <i class="fa-brands fa-twitter"></i>
        </div>
        <div class="m-3">
            <p>Hoàng Quốc Huy</p>
        </div>
    </div>

</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_CREATE_OK = 201; // status 201 tao thanh cong
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    var gPizzaSize = {
        kichCo: "",
        duongKinh: "",
        suon: "",
        salad: "",
        soLuongNuoc: "",
        thanhTien: "",
    }

    var gPizzaType = "";

    var gDrinkType = "";

    var gOrder = {
        hoTen: "",
        email: "",
        soDienThoai: "",
        diaChi: "",
        idVourcher: "",
        loiNhan: ""
    }

    var gObjectRequest = {
        kichCo: "",
        duongKinh: "",
        suon: "",
        salad: "",
        loaiPizza: "",
        idVourcher: "",
        idLoaiNuocUong: "",
        soLuongNuoc: "",
        hoTen: "",
        thanhTien: "",
        email: "",
        soDienThoai: "",
        diaChi: "",
        loiNhan: ""
    }

    var gVoucher = 0;
    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    $(document).ready(function () {
        //lay danh sach do uong va show ra HTML
        onGetDrinkListClick();
        //khi click button select size pizza
        onClickButtonComboSelect();
        //khi click button select loai pizza
        onClickButtonTypePizzaSelect();
        //khi click button them order Obj
        onClickGetOrderDetail();
        //khi click tạo order mới
        onClickButtonCreateOrder();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //click button chọn Combo
    function onClickButtonComboSelect() {
        $("#size-pizza-choose").on("click", ".size-pizza-button", function () {
            //set chức năng cho toàn bộ button
            $("#size-pizza-choose").find(".size-pizza-button").each(function () {
                $(this).attr("data-is-selected-menu", "N");
                $(this).css("background-color", "orange");
            })
            //set màu sắc cho toàn bộ title
            $("#size-pizza-choose").find(".size-pizza-title").each(function () {
                $(this).css("background-color", "orange");
            })
            //đặt chức năng cho button click
            $(this).attr("data-is-selected-menu", "Y");
            $(this).css("background-color", "orangered");
            $(this).parents("div").children(".size-pizza-title").css("background-color", "orangered");
            //thêm dữ liệu cho đối tượng size pizza
            pizzaSizeCombo(gPizzaSize);
            console.log(gPizzaSize);
        })
    }
    //click button chọn loại Pizza
    function onClickButtonTypePizzaSelect() {
        $("#type-pizza-choose").on("click", ".type-pizza-btn", function () {
            $("#type-pizza-choose").find(".type-pizza-btn").each(function () {
                $(this).attr("data-is-selected-type-pizza", "N");
                $(this).css("background-color", "orange");
            })
            //đặt chức năng cho button click
            $(this).attr("data-is-selected-type-pizza", "Y");
            $(this).css("background-color", "orangered");
            //them du lieu pizza Type
            pizzaTypeSelect();
            console.log(gPizzaType);
        })
    }
    //click button get order detail
    function onClickGetOrderDetail() {
        $("#btn-order-detail").on("click", function () {
            //them du lieu vao Obj
            addOrderToObj(gObjectRequest);
            //validate dư liệu obj
            if (validateDataOrder(gObjectRequest)) {
                console.log(gObjectRequest);
                //hiện modal order
                $("#order-confirm-modal").modal("show");
                //thêm dữ liệu vào modal
                addValueToModal(gObjectRequest);
            }

        })
    }
    //click button tao order moi
    function onClickButtonCreateOrder(){
        $("#btn-create-order").on("click", function(){
            onCreateOrderClick(gObjectRequest);
        })
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //gọi tạo một order mới
    function onCreateOrderClick(vObjectRequest) {
        "use strict";
        //base url
        const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
        var vXmlHttpCreateOrder = new XMLHttpRequest();
        vXmlHttpCreateOrder.open("POST", vBASE_URL, true);
        vXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
        vXmlHttpCreateOrder.send(JSON.stringify(vObjectRequest));
        vXmlHttpCreateOrder.onreadystatechange =
            function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_OK) {
                    var vCreatedOrder = vXmlHttpCreateOrder.responseText;
                    console.log(vCreatedOrder);
                    //xử lý front end sau khi tạo đơn
                    modalAfterCreateOrder(vCreatedOrder);
                }
            }
    }
    //mã nguồn để load data drink list (danh sách loại nước uống) về
    function onGetDrinkListClick() {
        "use strict";
        var vXhttp = new XMLHttpRequest();
        vXhttp.onreadystatechange =
            function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                    //them vao select Element
                    showDrinkListOnSelect(vXhttp.responseText);
                }
            };
        vXhttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
        vXhttp.send();
    }
    //check mã giảm giá
    function onCheckVoucherIdClick(vVoucherId) {
        if (vVoucherId != "") {
            "use strict";
            const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
            // var vVoucherId = "24864";  //một số mã đúng để test: 95531, 81432,...lưu ý test cả mã sai
            // nếu mã giảm giấ đã nhập, tạo xmlHttp  request và gửi về server
            var vXmlHttp = new XMLHttpRequest();
            vXmlHttp.open("GET", vBASE_URL + vVoucherId, false);
            vXmlHttp.send(null);
            var vStatusCode = vXmlHttp.status;
            if (vStatusCode == gREQUEST_STATUS_OK) { // restFullAPI successful
                // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
                console.log(vXmlHttp.responseText);
                var vRespon = JSON.parse(vXmlHttp.responseText);
                gVoucher = vRespon.phanTramGiamGia;
                return true;
            }
            else {
                // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
                // console.log("Không tìm thấy voucher " + vXmlHttp.responseText);
                return false;
            }
        } else {
            return true;
        }
    }
    //load du lieu do uong ra HTML
    function showDrinkListOnSelect(responseText) {
        var vDrinkList = JSON.parse(responseText);
        // console.log(vDrinkList); 
        var vSelectElm = $("#select-drink");
        for (let i = 0; i < vDrinkList.length; i++) {
            $("<option>", {
                value: vDrinkList[i].maNuocUong,
                html: vDrinkList[i].tenNuocUong
            }).appendTo(vSelectElm);
        }
    }
    //danh sach lua chon cua menu combo
    function pizzaSizeCombo(paramObj) {
        if ($("#small-choose").attr("data-is-selected-menu") == "Y") {
            paramObj.kichCo = "S";
            paramObj.duongKinh = "20cm";
            paramObj.suon = "2";
            paramObj.salad = "200gram";
            paramObj.soLuongNuoc = "2";
            paramObj.thanhTien = "150000";
        } else if ($("#medium-choose").attr("data-is-selected-menu") == "Y") {
            paramObj.kichCo = "M";
            paramObj.duongKinh = "25cm";
            paramObj.suon = "4";
            paramObj.salad = "300gram";
            paramObj.soLuongNuoc = "3";
            paramObj.thanhTien = "200000";
        } else if ($("#large-choose").attr("data-is-selected-menu") == "Y") {
            paramObj.kichCo = "L";
            paramObj.duongKinh = "30cm";
            paramObj.suon = "8";
            paramObj.salad = "500gram";
            paramObj.soLuongNuoc = "4";
            paramObj.thanhTien = "250000";
        } else {
            paramObj.kichCo = "";
        }
    }
    //lựa chọn loại pizza
    function pizzaTypeSelect() {
        if ($("#type-pizza-seafood").attr("data-is-selected-type-pizza") == "Y") {
            gPizzaType = "SEAFOOD";
        } else if ($("#type-pizza-hawaii").attr("data-is-selected-type-pizza") == "Y") {
            gPizzaType = "HAWAII";
        } else if ($("#type-pizza-bacon").attr("data-is-selected-type-pizza") == "Y") {
            gPizzaType = "BACON";
        } else {
            gPizzaType = "";
        }
    }
    //lay thong tin order them vao object
    function addOrderToObj(paramObj) {
        paramObj.kichCo = gPizzaSize.kichCo;
        paramObj.duongKinh = gPizzaSize.duongKinh;
        paramObj.suon = gPizzaSize.suon
        paramObj.salad = gPizzaSize.salad
        paramObj.loaiPizza = gPizzaType
        paramObj.idVourcher = $("#inp-discount").val();
        paramObj.idLoaiNuocUong = $("#select-drink").val();
        paramObj.soLuongNuoc = gPizzaSize.soLuongNuoc
        paramObj.hoTen = $("#inp-name").val();
        paramObj.thanhTien = gPizzaSize.thanhTien;
        paramObj.email = $("#inp-email").val();
        paramObj.soDienThoai = $("#inp-phone").val();
        paramObj.diaChi = $("#inp-address").val();
        paramObj.loiNhan = $("#inp-message").val();
    }
    //kiem tra du lieu order
    function validateDataOrder(paramObj) {
        if (paramObj.kichCo == "") {
            alert("Hãy chọn combo Pizza.");
            return false;
        }
        if (paramObj.loaiPizza == "") {
            alert("Hãy chọn loại Pizza.");
            return false;
        }

        if (paramObj.idLoaiNuocUong == "0") {
            alert("Hãy chọn loại đồ uống.");
            return false;
        }

        if (paramObj.hoTen == "") {
            alert("Họ tên không được để trống.");
            return false;
        }

        if (paramObj.email == "") {
            alert("Email không được để trống.");
            return false;
        }
        if (!validateEmail(paramObj.email)) {
            alert("Email không đúng định dạng.");
            return false;
        }
        if (paramObj.soDienThoai == "") {
            alert("Số điện thoại không được để trống.");
            return false;
        }
        var vPhone = parseInt(paramObj.soDienThoai);
        if (vPhone < 0 || paramObj.soDienThoai.length < 10) {
            alert("Số điện thoại không đúng.");
            return false;
        }

        if (paramObj.diaChi == "") {
            alert("Địa chỉ không được để trống.");
            return false;
        }

        if (!onCheckVoucherIdClick(paramObj.idVourcher)) {
            alert("Voucher không đúng.");
            return false;
        }
        return true;
    }
    //validate email
    function validateEmail(vEmail) {
        var vRegEmail = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;
        return vEmail.match(vRegEmail);
    }

    //thêm dữ liệu vào modal detail
    function addValueToModal(paramObj) {
        $("#inp-confirm-name").val(paramObj.hoTen);
        $("#inp-confirm-phone").val(paramObj.soDienThoai);
        $("#inp-confirm-address").val(paramObj.diaChi);
        $("#inp-confirm-discount").val(paramObj.idVourcher);
        $("#inp-confirm-message").val(paramObj.loiNhan);

        var vGiamGia = gVoucher;
        var vHtmlDetail = "";
        vHtmlDetail += "Xác nhận: " + paramObj.hoTen + ", " + paramObj.soDienThoai + ", " + paramObj.diaChi + "\n";
        vHtmlDetail += "Menu: " + paramObj.kichCo + ", sườn nướng " + paramObj.suon + ", nươcs" + paramObj.soLuongNuoc + ",...\n";
        vHtmlDetail += "Loại Pizza: " + paramObj.loaiPizza + ", loai do uong: " + paramObj.idLoaiNuocUong + "\n";
        vHtmlDetail += "Giá: " + paramObj.thanhTien + ", giảm giá: " + vGiamGia + "%\n";
        var vThanhTien = parseInt(paramObj.thanhTien) * (100 - parseInt(vGiamGia)) / 100;
        vHtmlDetail += "Phải thanh toán: " + vThanhTien + ", giảm giá: " + vGiamGia + "%\n";

        $("#tarea-confirm-detail").val(vHtmlDetail);
    }
    //xử lý front end sau khi tạo order thành công
    function modalAfterCreateOrder(param) {
        var vOrderCode = JSON.parse(param);
        //đóng modal xác nhận
        $("#order-confirm-modal").modal("hide");
        //mở modal thông báo thành công
        $("#order-success-modal").modal("show");
        $("#inp-madonhang-success").val(vOrderCode.orderCode)
    }
</script>

</html>